@echo off

SET "TITANDIR=%programdata%\Team Mediaportal\Mediaportal\Skin\Titan"

echo ###################################################
echo.
echo Titan Skin Directory
echo %TITANDIR%
echo.
echo Theme will be installed to
echo %TITANDIR%\Themes\
echo.
echo ###################################################

:Start

echo.
Echo Do you want to continue? [Y/N]
Echo.

Set /P ANSWER=

Echo.

if "%ANSWER%"=="y" Goto :Install
if "%ANSWER%"=="Y" Goto :Install
if "%ANSWER%"=="n" Goto :Abort
if "%ANSWER%"=="N" Goto :Abort

Goto :Start


:Install

Echo.
Echo Copying Original XML Files...
xcopy /i /y /q "%TITANDIR%\*.xml" ".\XML\*.xml"

Echo.
Echo Copying images...
xcopy /i /y /q /s ".\Deep Green\*.*" "%TITANDIR%\Themes\Deep Green\*.*"

Echo.
Echo Changing Colours Codes...
mtrw -qnb- .\XML\*.xml 00b7ff = 217201
mtrw -qnb- .\XML\*.xml 6aa5cb = 2c9901
mtrw -qnb- .\XML\*.xml 6fafe1 = 38c002
mtrw -qnb- .\XML\*.xml 85cffe = 8dfe61
mtrw -qnb- .\XML\*.xml 85cfff = 8dfe61
mtrw -qnb- .\XML\*.xml a9d0f7 = c5feaf
mtrw -qnb- .\XML\*.xml bzd4f5 = e1ffd5
Echo colour codes changed.

Echo.
Echo Copying Changed XML Files...
xcopy /i /y /q ".\xml\*.xml" "%TITANDIR%\Themes\Deep Green\*.xml"

Echo.
echo Deleting the temporary files...
rd /s /q .\XML
echo Tempoary files deleted.

Echo.
Echo Deleting skin cache
rd /s /q "%programdata%\Team Mediaportal\Mediaportal\Cache"
Echo Skin Cache Deleted

Echo.
Echo #############################################
echo Installation Complete.
echo #############################################
Echo.

Goto :EndOfFile


:Abort

Echo.
echo #############################################
Echo Installation Aborted
echo #############################################
Echo.

:EndOfFile

pause